# tvikey.ini

## format

config file is an INI-file, where each section describes bindings for title_id, e.g.:
```
[PCSF00403]
<kb/mouse key> = <vita key>
...
...
```

each binding is kb or mouse key/axis = vita key/axis
see sample config

## Vita keys

 - DPAD_UP
 - DPAD_DOWN
 - DPAD_LEFT
 - DPAD_RIGHT
 - CROSS
 - SQUARE
 - TRIANGLE
 - CIRCLE
 - SELECT
 - START
 - PS
 - L1
 - L2
 - L3
 - R1
 - R2
 - R3
 - LEFT_ANALOG_LEFT
 - LEFT_ANALOG_RIGHT
 - LEFT_ANALOG_DOWN
 - LEFT_ANALOG_UP
 - RIGHT_ANALOG_LEFT
 - RIGHT_ANALOG_RIGHT
 - RIGHT_ANALOG_DOWN
 - RIGHT_ANALOG_UP

## Mouse keys/axes

 - MOUSE_1 - left mouse button
 - MOUSE_2 - right mouse button
 - MOUSE_3 - middle mouse button
 - MOUSE_LEFT - moving mouse left
 - MOUSE_RIGHT - moving mouse right
 - MOUSE_UP - moving mouse up
 - MOUSE_DOWN - moving mouse down

## Keyboard keys

 - KB_LEFT_CTRL
 - KB_LEFT_ALT
 - KB_LEFT_SHIFT
 - KB_LEFT_GUI
 - KB_RIGHT_CTRL
 - KB_RIGHT_ALT
 - KB_RIGHT_SHIFT
 - KB_RIGHT_GUI
 - KB_A
 - KB_B
 - KB_C
 - KB_D
 - KB_E
 - KB_F
 - KB_G
 - KB_H
 - KB_I
 - KB_J
 - KB_K
 - KB_L
 - KB_M
 - KB_N
 - KB_O
 - KB_P
 - KB_Q
 - KB_R
 - KB_S
 - KB_T
 - KB_U
 - KB_V
 - KB_W
 - KB_X
 - KB_Y
 - KB_Z
 - KB_1
 - KB_2
 - KB_3
 - KB_4
 - KB_5
 - KB_6
 - KB_7
 - KB_8
 - KB_9
 - KB_0
 - KB_ENTER
 - KB_ESCAPE
 - KB_BACKSPACE
 - KB_TAB
 - KB_SPACE
 - KB_MINUS
 - KB_EQUAL
 - KB_LEFT_BRACKET
 - KB_RIGHT_BRACKET
 - KB_BACKSLASH
 - KB_NONUSHASH
 - KB_SEMICOLON
 - KB_APOSTROPHE
 - KB_GRAVE
 - KB_COMMA
 - KB_DOT
 - KB_SLASH
 - KB_CAPS_LOCK
 - KB_F1
 - KB_F2
 - KB_F3
 - KB_F4
 - KB_F5
 - KB_F6
 - KB_F7
 - KB_F8
 - KB_F9
 - KB_F10
 - KB_F11
 - KB_F12
 - KB_PRINTSCREEN
 - KB_SCROLL_LOCK
 - KB_PAUSE
 - KB_INSERT
 - KB_HOME
 - KB_PAGE_UP
 - KB_DELETE
 - KB_END
 - KB_PAGE_DOWN
 - KB_RIGHT
 - KB_LEFT
 - KB_DOWN
 - KB_UP
 - KB_NUM_LOCK
 - KB_KP_SLASH
 - KB_KP_ASTERISK
 - KB_KP_MINUS
 - KB_KP_PLUS
 - KB_KP_ENTER
 - KB_KP_1
 - KB_KP_2
 - KB_KP_3
 - KB_KP_4
 - KB_KP_5
 - KB_KP_6
 - KB_KP_7
 - KB_KP_8
 - KB_KP_9
 - KB_KP_0
 - KB_KP_DOT
 - KB_NONUSBACKSLASH
 - KB_APPLICATION
 - KB_POWER
 - KB_KP_EQUALS
 - KB_F13
 - KB_F14
 - KB_F15
 - KB_F16
 - KB_F17
 - KB_F18
 - KB_F19
 - KB_F20
 - KB_F21
 - KB_F22
 - KB_F23
 - KB_F24
 - KB_EXECUTE
 - KB_HELP
 - KB_MENU
 - KB_SELECT
 - KB_STOP
 - KB_AGAIN
 - KB_UNDO
 - KB_CUT
 - KB_COPY
 - KB_PASTE
 - KB_FIND
 - KB_MUTE
 - KB_VOLUME_UP
 - KB_VOLUME_DOWN
 - KB_LOCKING_CAPS_LOCK
 - KB_LOCKING_NUM_LOCK
 - KB_LOCKING_SCROLL_LOCK
 - KB_KP_COMMA
 - KB_KP_EQUALSAS400
 - KB_INTERNATIONAL1
 - KB_INTERNATIONAL2
 - KB_INTERNATIONAL3
 - KB_INTERNATIONAL4
 - KB_INTERNATIONAL5
 - KB_INTERNATIONAL6
 - KB_INTERNATIONAL7
 - KB_INTERNATIONAL8
 - KB_INTERNATIONAL9
 - KB_LANG1
 - KB_LANG2
 - KB_LANG3
 - KB_LANG4
 - KB_LANG5
 - KB_LANG6
 - KB_LANG7
 - KB_LANG8
 - KB_LANG9
 - KB_ALTERNATE_ERASE
 - KB_SYSREQ
 - KB_CANCEL
 - KB_CLEAR
 - KB_PRIOR
 - KB_RETURN
 - KB_SEPARATOR
 - KB_OUT
 - KB_OPER
 - KB_CLEAR_AND_AGAIN
 - KB_CRSEL_AND_PROPS
 - KB_EXSEL
 - KB_KP_00
 - KB_KP_000
 - KB_THOUSANDS_SEPARATOR
 - KB_DECIMAL_SEPARATOR
 - KB_CURRENCY_UNIT
 - KB_CURRENCY_SUB_UNIT
 - KB_KP_OPENING_PARENTHESIS
 - KB_KP_CLOSING_PARENTHESIS
 - KB_KP_LEFT_BRACE
 - KB_KP_RIGHT_BRACE
 - KB_KP_TAB
 - KB_KP_BACKSPACE
 - KB_KP_A
 - KB_KP_B
 - KB_KP_C
 - KB_KP_D
 - KB_KP_E
 - KB_KP_F
 - KB_KP_XOR
 - KB_KP_CARET
 - KB_KP_PERCENTAGE
 - KB_KP_LESS_SIGN
 - KB_KP_GREATER_SIGN
 - KB_KP_AMP
 - KB_KP_AMP_AMP
 - KB_KP_PIPE
 - KB_KP_PIPE_PIPE
 - KB_KP_COLON
 - KB_KP_HASH
 - KB_KP_SPACE
 - KB_KP_AT
 - KB_KP_EXCLAMATION
 - KB_KP_MEMORY_STORE
 - KB_KP_MEMORY_RECALL
 - KB_KP_MEMORY_CLEAR
 - KB_KP_MEMORY_ADD
 - KB_KP_MEMORY_SUB
 - KB_KP_MEMORY_MUL
 - KB_KP_MEMORY_DIV
 - KB_KP_PLUS_MINUS
 - KB_KP_CLEAR
 - KB_KP_CLEAR_ENTRY
 - KB_KP_BINARY
 - KB_KP_OCTAL
 - KB_KP_DECIMAL
 - KB_KP_HEX
 - KB_LEFT_CTRL_BUTTON
 - KB_LEFT_SHIFT_BUTTON
 - KB_LEFT_ALT_BUTTON
 - KB_LEFT_GUI_BUTTON
 - KB_RIGHT_CTRL_BUTTON
 - KB_RIGHT_SHIFT_BUTTON
 - KB_RIGHT_ALT_BUTTON
 - KB_RIGHT_GUI_BUTTON
 - KB_MEDIA_PLAY
 - KB_MEDIA_STOP
 - KB_MEDIA_PREV
 - KB_MEDIA_NEXT
 - KB_MEDIA_EJECT
 - KB_MEDIA_VOL_UP
 - KB_MEDIA_VOL_DOWN
 - KB_MEDIA_MUTE
 - KB_MEDIA_WWW
 - KB_MEDIA_BACK
 - KB_MEDIA_FORWARD
 - KB_MEDIA_CANCEL
 - KB_MEDIA_SEARCH
 - KB_MEDIA_SLEEP
 - KB_MEDIA_LOCK
 - KB_MEDIA_RELOAD
 - KB_MEDIA_CALC
